[pve-devel] r5368 - / libqb libqb/trunk libqb/trunk/debian

svn-commits at proxmox.com svn-commits at proxmox.com
Thu Jan 13 06:19:44 CET 2011


Author: dietmar
Date: 2011-01-13 06:19:44 +0100 (Thu, 13 Jan 2011)
New Revision: 5368

Added:
   libqb/
   libqb/trunk/
   libqb/trunk/Makefile
   libqb/trunk/debian/
   libqb/trunk/debian/changelog
   libqb/trunk/debian/compat
   libqb/trunk/debian/control
   libqb/trunk/debian/copyright
   libqb/trunk/debian/docs
   libqb/trunk/debian/libqb-dev.dirs
   libqb/trunk/debian/libqb-dev.install
   libqb/trunk/debian/libqb.dirs
   libqb/trunk/debian/libqb.install
   libqb/trunk/debian/libqb.postinst
   libqb/trunk/debian/libqb.postrm
   libqb/trunk/debian/rules
   libqb/trunk/debian/shlibs.local
   libqb/trunk/libqb-0.3.0.orig.tar.gz
Log:
moved from private repository


Added: libqb/trunk/Makefile
===================================================================
--- libqb/trunk/Makefile	                        (rev 0)
+++ libqb/trunk/Makefile	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,45 @@
+RELEASE=2.0
+
+QBVERSION=0.3.0
+QBRELEASE=1
+QBDIR=libqb-${QBVERSION}
+QBSRC=libqb-${QBVERSION}.orig.tar.gz
+
+ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
+
+DEBS=									\
+	libqb_${QBVERSION}-${QBRELEASE}_${ARCH}.deb			\
+	libqb-dev_${QBVERSION}-${QBRELEASE}_${ARCH}.deb
+
+all: ${DEBS}
+	echo ${DEBS}
+
+${DEBS}: ${QBSRC}
+	rm -rf ${QBDIR}
+	tar xf ${QBSRC} 
+	cp -a debian ${QBDIR}/debian
+	cd ${QBDIR}; dpkg-buildpackage -rfakeroot -b -us -uc
+
+
+download:
+	rm -rf libqb-${QBVERSION} libqb-${QBVERSION}.orig.tar.gz
+	git clone git://libqb.org/libqb.git libqb-${QBVERSION}
+	# fixme checkout correct version
+	#cd libqb-${QBVERSION}; git checkout -b local  v${QBVERSION}	
+	cd libqb-${QBVERSION}; ./autogen.sh
+	tar czf libqb-${QBVERSION}.orig.tar.gz libqb-${QBVERSION}/
+
+.PHONY: upload
+upload: ${DEBS}
+	umount /pve/${RELEASE}; mount /pve/${RELEASE} -o rw 
+	mkdir -p /pve/${RELEASE}/extra
+	rm -f /pve/${RELEASE}/extra/libqb*.deb
+	rm -f /pve/${RELEASE}/extra/Packages*
+	cp ${DEBS} /pve/${RELEASE}/extra
+	cd /pve/${RELEASE}/extra; dpkg-scanpackages . /dev/null > Packages; gzip -9c Packages > Packages.gz
+	umount /pve/${RELEASE}; mount /pve/${RELEASE} -o ro
+
+.PHONY: clean
+clean:
+	rm -rf *~ debian/*~ *_${ARCH}.deb *.changes *.dsc ${QBDIR} libqb_${QBVERSION}.orig.tar.gz
+

Added: libqb/trunk/debian/changelog
===================================================================
--- libqb/trunk/debian/changelog	                        (rev 0)
+++ libqb/trunk/debian/changelog	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,5 @@
+libqb (0.3.0-1) unstable; urgency=low
+
+  * Initial release 
+
+ -- Proxmox Support Team <support at proxmox.com>  Thu, 02 Dec 2010 13:19:14 +0100

Added: libqb/trunk/debian/compat
===================================================================
--- libqb/trunk/debian/compat	                        (rev 0)
+++ libqb/trunk/debian/compat	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1 @@
+7

Added: libqb/trunk/debian/control
===================================================================
--- libqb/trunk/debian/control	                        (rev 0)
+++ libqb/trunk/debian/control	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,24 @@
+Source: libqb
+Priority: extra
+Maintainer: Proxmox Support Team <support at proxmox.com>
+Build-Depends: debhelper (>= 7.0.50~), autotools-dev, doxygen, check
+Standards-Version: 3.8.4
+Section: libs
+Homepage: http://www.libqb.org
+
+Package: libqb-dev
+Section: libdevel
+Architecture: any
+Depends: pkg-config, libqb (= ${binary:Version})
+Description: The Quarterback Client Server Developer Library
+ This package contains include files and man pages used to develop using
+ The Quarterback APIs.
+ .
+
+Package: libqb
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: The Quarterback Client Server Library
+ This package contains libqb libraries.
+ .

Added: libqb/trunk/debian/copyright
===================================================================
--- libqb/trunk/debian/copyright	                        (rev 0)
+++ libqb/trunk/debian/copyright	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,43 @@
+This work was packaged for Debian by:
+
+    Proxmox Support Team <support at proxmox.com> on 
+    Thu, 02 Dec 2010 13:18:23 +0100
+
+It was downloaded from:
+
+    git://libqb.org/libqb.git
+
+Upstream Author(s):
+
+    Angus Salkeld <asalkeld at redhat.com>
+    Steven Dake <sdake at redhat.com>
+
+Copyright:
+
+    Copyright (C) 2010 Red Hat, Inc
+  
+License:
+
+    This package is free software; you can redistribute it and/or
+    modify it under the terms of the GNU Lesser General Public
+    License as published by the Free Software Foundation; either
+    version 2 of the License, or (at your option) any later version.
+
+    This package is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+    Lesser General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+On Debian systems, the complete text of the GNU Lesser General
+Public License can be found in "/usr/share/common-licenses/LGPL-2".
+
+The Debian packaging is:
+
+    Copyright (C) 2010 Proxmox Support Team <support at proxmox.com>
+
+and is licensed under the GNU Lesser General Public License,
+see "/usr/share/common-licenses/LGPL-2".
+

Added: libqb/trunk/debian/docs
===================================================================
--- libqb/trunk/debian/docs	                        (rev 0)
+++ libqb/trunk/debian/docs	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,3 @@
+coding_style.txt
+README
+TODO

Added: libqb/trunk/debian/libqb-dev.dirs
===================================================================
--- libqb/trunk/debian/libqb-dev.dirs	                        (rev 0)
+++ libqb/trunk/debian/libqb-dev.dirs	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,2 @@
+usr/lib
+usr/include

Added: libqb/trunk/debian/libqb-dev.install
===================================================================
--- libqb/trunk/debian/libqb-dev.install	                        (rev 0)
+++ libqb/trunk/debian/libqb-dev.install	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,5 @@
+usr/include/*
+usr/lib/lib*.a
+usr/lib/pkgconfig/*
+usr/lib/*.la
+usr/share/man/man3/*

Added: libqb/trunk/debian/libqb.dirs
===================================================================
--- libqb/trunk/debian/libqb.dirs	                        (rev 0)
+++ libqb/trunk/debian/libqb.dirs	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1 @@
+usr/lib

Added: libqb/trunk/debian/libqb.install
===================================================================
--- libqb/trunk/debian/libqb.install	                        (rev 0)
+++ libqb/trunk/debian/libqb.install	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1 @@
+usr/lib/lib*.so

Added: libqb/trunk/debian/libqb.postinst
===================================================================
--- libqb/trunk/debian/libqb.postinst	                        (rev 0)
+++ libqb/trunk/debian/libqb.postinst	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postinst script for libqb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: libqb/trunk/debian/libqb.postrm
===================================================================
--- libqb/trunk/debian/libqb.postrm	                        (rev 0)
+++ libqb/trunk/debian/libqb.postrm	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,37 @@
+#!/bin/sh
+# postrm script for libqb
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

Added: libqb/trunk/debian/rules
===================================================================
--- libqb/trunk/debian/rules	                        (rev 0)
+++ libqb/trunk/debian/rules	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1,16 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+# we want to load libqb with dynamic loader with perl
+export CFLAGS=-fPIC
+
+%:
+	dh $@ 


Property changes on: libqb/trunk/debian/rules
___________________________________________________________________
Added: svn:executable
   + 

Added: libqb/trunk/debian/shlibs.local
===================================================================
--- libqb/trunk/debian/shlibs.local	                        (rev 0)
+++ libqb/trunk/debian/shlibs.local	2011-01-13 05:19:44 UTC (rev 5368)
@@ -0,0 +1 @@
+liblibqb 0.3.0 libqb (>> 0.3.0-0), libqb (<< 0.3.0-99)

Added: libqb/trunk/libqb-0.3.0.orig.tar.gz
===================================================================
(Binary files differ)


Property changes on: libqb/trunk/libqb-0.3.0.orig.tar.gz
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream




More information about the pve-devel mailing list